classification
Title: test_distutils fails when ARCHFLAGS is set on a Mac
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder: Test failure in test_sysconfig_module
View: 15184
Assigned To: ned.deily Nosy List: Marc.Abramowitz, ned.deily
Priority: normal Keywords:

Created on 2012-06-26 15:26 by Marc.Abramowitz, last changed 2012-07-24 00:19 by Marc.Abramowitz. This issue is now closed.

Messages (3)
msg164081 - (view) Author: Marc Abramowitz (Marc.Abramowitz) * Date: 2012-06-26 15:26
$ export ARCHFLAGS="-arch i386 -arch x86_64"
$ ./python.exe -m test -v test_distutils

[last: 0] marca@scml-marca:~/dev/hg-repos/cpython$ ./python.exe
Python 3.3.0a4+ (default:6af0535b5e3a, Jun 25 2012, 16:59:49) 
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import sysconfig
[59901 refs]
>>> sysconfig.get_config_var('LDSHARED')
'gcc -bundle -undefined dynamic_lookup'
[59906 refs]
>>> import distutils.sysconfig
[61596 refs]
>>> distutils.sysconfig.get_config_var('LDSHARED')
'gcc -bundle -undefined dynamic_lookup -arch i386 -arch x86_64'
[77979 refs]
msg166022 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-07-21 13:15
This problem has been fixed in changeset d76b83803e7e for Issue15184 which, among other things, tries to make the handling of ARCHFLAGS more consistent.
msg166256 - (view) Author: Marc Abramowitz (Marc.Abramowitz) * Date: 2012-07-24 00:19
I just verified -- the issue seems to be fixed for me on OS X 10.6.8 with revision 00db71b3c5bd. Thanks!
History
Date User Action Args
2012-07-24 00:19:10Marc.Abramowitzsetmessages: + msg166256
2012-07-21 13:15:12ned.deilysetstatus: open -> closed
superseder: Test failure in test_sysconfig_module
messages: + msg166022

resolution: fixed
stage: resolved
2012-06-27 02:49:25ned.deilysetassignee: ned.deily

nosy: + ned.deily
2012-06-26 15:33:49Marc.Abramowitzsettype: behavior
2012-06-26 15:26:07Marc.Abramowitzcreate